Bug 704380 - Rendering Bug - Cannot See Text if Selecting a Para in a Warning/Note/Important Box
Rendering Bug - Cannot See Text if Selecting a Para in a Warning/Note/Importa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: beacon (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Satya Komaragiri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-12 19:52 EDT by David Le Sage
Modified: 2011-08-27 01:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-27 01:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot showing how text cannot be read once para is selected. (17.66 KB, image/png)
2011-05-12 19:52 EDT, David Le Sage
no flags Details
Proposed patch to draw outline for focussed element. (1.17 KB, patch)
2011-05-27 03:15 EDT, Satya Komaragiri
no flags Details | Diff

  None (edit)
Description David Le Sage 2011-05-12 19:52:31 EDT
Created attachment 498653 [details]
Screenshot showing how text cannot be read once para is selected.

Description of problem:
If I click on a paragraph in a DocBook callout box (such as a note or a warning) I cannot read the text in the highlighted selection.

I have replicated this problem in both Firefox and Chrome.

Version-Release number of selected component (if applicable):
beacon-0.5-4.fc14.noarch

How reproducible:
Every time.

Steps to Reproduce:
1. Select a para within a DocBook note or warning box.
2. Yellow highlighting makes text contained in para invisible. You can start typing new text but you won't be able to see it.

  
Actual results:
Text invisible

Expected results:
Text should be visible.

Additional info:
Comment 1 David Le Sage 2011-05-12 20:10:41 EDT
Maybe the text is there but the white font on the very pale yellow selection background makes it virtually impossible to see.
Comment 2 Satya Komaragiri 2011-05-27 03:15:18 EDT
Created attachment 501256 [details]
Proposed patch to draw outline for focussed element.

Looked into this one. The purpose of changing the background colour on node select was to highlight that this area is editable. I have two solutions for this bug,

1. Change the code to draw a thin outline to make the area stand out (I'm attaching the patch that does the same), or 

2. Reduce the brightness of the selected area (this would require a few extra computations every time a node is selected).

Could you please apply the attached patch and see if the first approach works or would the second approach look better?

To apply the patch cd into /usr/share/beacon and (most probably) you'll have to use sudo.



Will combine the modifications for the other bugs and release an RPM later.
Comment 3 Satya Komaragiri 2011-08-27 01:13:56 EDT
Fixed in upstream and current release.

Note You need to log in before you can comment on or make changes to this bug.